package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class OrgInfoExample {
    /**
     * org_info
     */
    protected String orderByClause;

    /**
     * org_info
     */
    protected boolean distinct;

    /**
     * org_info
     */
    protected List<Criteria> oredCriteria;

    public OrgInfoExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * org_info 2019-03-11
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgNameIsNull() {
            addCriterion("org_name is null");
            return (Criteria) this;
        }

        public Criteria andOrgNameIsNotNull() {
            addCriterion("org_name is not null");
            return (Criteria) this;
        }

        public Criteria andOrgNameEqualTo(String value) {
            addCriterion("org_name =", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotEqualTo(String value) {
            addCriterion("org_name <>", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameGreaterThan(String value) {
            addCriterion("org_name >", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameGreaterThanOrEqualTo(String value) {
            addCriterion("org_name >=", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameLessThan(String value) {
            addCriterion("org_name <", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameLessThanOrEqualTo(String value) {
            addCriterion("org_name <=", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameLike(String value) {
            addCriterion("org_name like", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotLike(String value) {
            addCriterion("org_name not like", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameIn(List<String> values) {
            addCriterion("org_name in", values, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotIn(List<String> values) {
            addCriterion("org_name not in", values, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameBetween(String value1, String value2) {
            addCriterion("org_name between", value1, value2, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotBetween(String value1, String value2) {
            addCriterion("org_name not between", value1, value2, "orgName");
            return (Criteria) this;
        }

        public Criteria andShortNameIsNull() {
            addCriterion("short_name is null");
            return (Criteria) this;
        }

        public Criteria andShortNameIsNotNull() {
            addCriterion("short_name is not null");
            return (Criteria) this;
        }

        public Criteria andShortNameEqualTo(String value) {
            addCriterion("short_name =", value, "shortName");
            return (Criteria) this;
        }

        public Criteria andShortNameNotEqualTo(String value) {
            addCriterion("short_name <>", value, "shortName");
            return (Criteria) this;
        }

        public Criteria andShortNameGreaterThan(String value) {
            addCriterion("short_name >", value, "shortName");
            return (Criteria) this;
        }

        public Criteria andShortNameGreaterThanOrEqualTo(String value) {
            addCriterion("short_name >=", value, "shortName");
            return (Criteria) this;
        }

        public Criteria andShortNameLessThan(String value) {
            addCriterion("short_name <", value, "shortName");
            return (Criteria) this;
        }

        public Criteria andShortNameLessThanOrEqualTo(String value) {
            addCriterion("short_name <=", value, "shortName");
            return (Criteria) this;
        }

        public Criteria andShortNameLike(String value) {
            addCriterion("short_name like", value, "shortName");
            return (Criteria) this;
        }

        public Criteria andShortNameNotLike(String value) {
            addCriterion("short_name not like", value, "shortName");
            return (Criteria) this;
        }

        public Criteria andShortNameIn(List<String> values) {
            addCriterion("short_name in", values, "shortName");
            return (Criteria) this;
        }

        public Criteria andShortNameNotIn(List<String> values) {
            addCriterion("short_name not in", values, "shortName");
            return (Criteria) this;
        }

        public Criteria andShortNameBetween(String value1, String value2) {
            addCriterion("short_name between", value1, value2, "shortName");
            return (Criteria) this;
        }

        public Criteria andShortNameNotBetween(String value1, String value2) {
            addCriterion("short_name not between", value1, value2, "shortName");
            return (Criteria) this;
        }

        public Criteria andOrgCodeIsNull() {
            addCriterion("org_code is null");
            return (Criteria) this;
        }

        public Criteria andOrgCodeIsNotNull() {
            addCriterion("org_code is not null");
            return (Criteria) this;
        }

        public Criteria andOrgCodeEqualTo(String value) {
            addCriterion("org_code =", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeNotEqualTo(String value) {
            addCriterion("org_code <>", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeGreaterThan(String value) {
            addCriterion("org_code >", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeGreaterThanOrEqualTo(String value) {
            addCriterion("org_code >=", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeLessThan(String value) {
            addCriterion("org_code <", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeLessThanOrEqualTo(String value) {
            addCriterion("org_code <=", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeLike(String value) {
            addCriterion("org_code like", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeNotLike(String value) {
            addCriterion("org_code not like", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeIn(List<String> values) {
            addCriterion("org_code in", values, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeNotIn(List<String> values) {
            addCriterion("org_code not in", values, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeBetween(String value1, String value2) {
            addCriterion("org_code between", value1, value2, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeNotBetween(String value1, String value2) {
            addCriterion("org_code not between", value1, value2, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgClassIdIsNull() {
            addCriterion("org_class_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgClassIdIsNotNull() {
            addCriterion("org_class_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgClassIdEqualTo(Integer value) {
            addCriterion("org_class_id =", value, "orgClassId");
            return (Criteria) this;
        }

        public Criteria andOrgClassIdNotEqualTo(Integer value) {
            addCriterion("org_class_id <>", value, "orgClassId");
            return (Criteria) this;
        }

        public Criteria andOrgClassIdGreaterThan(Integer value) {
            addCriterion("org_class_id >", value, "orgClassId");
            return (Criteria) this;
        }

        public Criteria andOrgClassIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_class_id >=", value, "orgClassId");
            return (Criteria) this;
        }

        public Criteria andOrgClassIdLessThan(Integer value) {
            addCriterion("org_class_id <", value, "orgClassId");
            return (Criteria) this;
        }

        public Criteria andOrgClassIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_class_id <=", value, "orgClassId");
            return (Criteria) this;
        }

        public Criteria andOrgClassIdIn(List<Integer> values) {
            addCriterion("org_class_id in", values, "orgClassId");
            return (Criteria) this;
        }

        public Criteria andOrgClassIdNotIn(List<Integer> values) {
            addCriterion("org_class_id not in", values, "orgClassId");
            return (Criteria) this;
        }

        public Criteria andOrgClassIdBetween(Integer value1, Integer value2) {
            addCriterion("org_class_id between", value1, value2, "orgClassId");
            return (Criteria) this;
        }

        public Criteria andOrgClassIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_class_id not between", value1, value2, "orgClassId");
            return (Criteria) this;
        }

        public Criteria andCompanyNatureIsNull() {
            addCriterion("company_nature is null");
            return (Criteria) this;
        }

        public Criteria andCompanyNatureIsNotNull() {
            addCriterion("company_nature is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyNatureEqualTo(Integer value) {
            addCriterion("company_nature =", value, "companyNature");
            return (Criteria) this;
        }

        public Criteria andCompanyNatureNotEqualTo(Integer value) {
            addCriterion("company_nature <>", value, "companyNature");
            return (Criteria) this;
        }

        public Criteria andCompanyNatureGreaterThan(Integer value) {
            addCriterion("company_nature >", value, "companyNature");
            return (Criteria) this;
        }

        public Criteria andCompanyNatureGreaterThanOrEqualTo(Integer value) {
            addCriterion("company_nature >=", value, "companyNature");
            return (Criteria) this;
        }

        public Criteria andCompanyNatureLessThan(Integer value) {
            addCriterion("company_nature <", value, "companyNature");
            return (Criteria) this;
        }

        public Criteria andCompanyNatureLessThanOrEqualTo(Integer value) {
            addCriterion("company_nature <=", value, "companyNature");
            return (Criteria) this;
        }

        public Criteria andCompanyNatureIn(List<Integer> values) {
            addCriterion("company_nature in", values, "companyNature");
            return (Criteria) this;
        }

        public Criteria andCompanyNatureNotIn(List<Integer> values) {
            addCriterion("company_nature not in", values, "companyNature");
            return (Criteria) this;
        }

        public Criteria andCompanyNatureBetween(Integer value1, Integer value2) {
            addCriterion("company_nature between", value1, value2, "companyNature");
            return (Criteria) this;
        }

        public Criteria andCompanyNatureNotBetween(Integer value1, Integer value2) {
            addCriterion("company_nature not between", value1, value2, "companyNature");
            return (Criteria) this;
        }

        public Criteria andBusiTypeIsNull() {
            addCriterion("busi_type is null");
            return (Criteria) this;
        }

        public Criteria andBusiTypeIsNotNull() {
            addCriterion("busi_type is not null");
            return (Criteria) this;
        }

        public Criteria andBusiTypeEqualTo(Integer value) {
            addCriterion("busi_type =", value, "busiType");
            return (Criteria) this;
        }

        public Criteria andBusiTypeNotEqualTo(Integer value) {
            addCriterion("busi_type <>", value, "busiType");
            return (Criteria) this;
        }

        public Criteria andBusiTypeGreaterThan(Integer value) {
            addCriterion("busi_type >", value, "busiType");
            return (Criteria) this;
        }

        public Criteria andBusiTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("busi_type >=", value, "busiType");
            return (Criteria) this;
        }

        public Criteria andBusiTypeLessThan(Integer value) {
            addCriterion("busi_type <", value, "busiType");
            return (Criteria) this;
        }

        public Criteria andBusiTypeLessThanOrEqualTo(Integer value) {
            addCriterion("busi_type <=", value, "busiType");
            return (Criteria) this;
        }

        public Criteria andBusiTypeIn(List<Integer> values) {
            addCriterion("busi_type in", values, "busiType");
            return (Criteria) this;
        }

        public Criteria andBusiTypeNotIn(List<Integer> values) {
            addCriterion("busi_type not in", values, "busiType");
            return (Criteria) this;
        }

        public Criteria andBusiTypeBetween(Integer value1, Integer value2) {
            addCriterion("busi_type between", value1, value2, "busiType");
            return (Criteria) this;
        }

        public Criteria andBusiTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("busi_type not between", value1, value2, "busiType");
            return (Criteria) this;
        }

        public Criteria andAddressIsNull() {
            addCriterion("address is null");
            return (Criteria) this;
        }

        public Criteria andAddressIsNotNull() {
            addCriterion("address is not null");
            return (Criteria) this;
        }

        public Criteria andAddressEqualTo(String value) {
            addCriterion("address =", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotEqualTo(String value) {
            addCriterion("address <>", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThan(String value) {
            addCriterion("address >", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThanOrEqualTo(String value) {
            addCriterion("address >=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThan(String value) {
            addCriterion("address <", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThanOrEqualTo(String value) {
            addCriterion("address <=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLike(String value) {
            addCriterion("address like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotLike(String value) {
            addCriterion("address not like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressIn(List<String> values) {
            addCriterion("address in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotIn(List<String> values) {
            addCriterion("address not in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressBetween(String value1, String value2) {
            addCriterion("address between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotBetween(String value1, String value2) {
            addCriterion("address not between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andContactIsNull() {
            addCriterion("contact is null");
            return (Criteria) this;
        }

        public Criteria andContactIsNotNull() {
            addCriterion("contact is not null");
            return (Criteria) this;
        }

        public Criteria andContactEqualTo(String value) {
            addCriterion("contact =", value, "contact");
            return (Criteria) this;
        }

        public Criteria andContactNotEqualTo(String value) {
            addCriterion("contact <>", value, "contact");
            return (Criteria) this;
        }

        public Criteria andContactGreaterThan(String value) {
            addCriterion("contact >", value, "contact");
            return (Criteria) this;
        }

        public Criteria andContactGreaterThanOrEqualTo(String value) {
            addCriterion("contact >=", value, "contact");
            return (Criteria) this;
        }

        public Criteria andContactLessThan(String value) {
            addCriterion("contact <", value, "contact");
            return (Criteria) this;
        }

        public Criteria andContactLessThanOrEqualTo(String value) {
            addCriterion("contact <=", value, "contact");
            return (Criteria) this;
        }

        public Criteria andContactLike(String value) {
            addCriterion("contact like", value, "contact");
            return (Criteria) this;
        }

        public Criteria andContactNotLike(String value) {
            addCriterion("contact not like", value, "contact");
            return (Criteria) this;
        }

        public Criteria andContactIn(List<String> values) {
            addCriterion("contact in", values, "contact");
            return (Criteria) this;
        }

        public Criteria andContactNotIn(List<String> values) {
            addCriterion("contact not in", values, "contact");
            return (Criteria) this;
        }

        public Criteria andContactBetween(String value1, String value2) {
            addCriterion("contact between", value1, value2, "contact");
            return (Criteria) this;
        }

        public Criteria andContactNotBetween(String value1, String value2) {
            addCriterion("contact not between", value1, value2, "contact");
            return (Criteria) this;
        }

        public Criteria andFaxIsNull() {
            addCriterion("fax is null");
            return (Criteria) this;
        }

        public Criteria andFaxIsNotNull() {
            addCriterion("fax is not null");
            return (Criteria) this;
        }

        public Criteria andFaxEqualTo(String value) {
            addCriterion("fax =", value, "fax");
            return (Criteria) this;
        }

        public Criteria andFaxNotEqualTo(String value) {
            addCriterion("fax <>", value, "fax");
            return (Criteria) this;
        }

        public Criteria andFaxGreaterThan(String value) {
            addCriterion("fax >", value, "fax");
            return (Criteria) this;
        }

        public Criteria andFaxGreaterThanOrEqualTo(String value) {
            addCriterion("fax >=", value, "fax");
            return (Criteria) this;
        }

        public Criteria andFaxLessThan(String value) {
            addCriterion("fax <", value, "fax");
            return (Criteria) this;
        }

        public Criteria andFaxLessThanOrEqualTo(String value) {
            addCriterion("fax <=", value, "fax");
            return (Criteria) this;
        }

        public Criteria andFaxLike(String value) {
            addCriterion("fax like", value, "fax");
            return (Criteria) this;
        }

        public Criteria andFaxNotLike(String value) {
            addCriterion("fax not like", value, "fax");
            return (Criteria) this;
        }

        public Criteria andFaxIn(List<String> values) {
            addCriterion("fax in", values, "fax");
            return (Criteria) this;
        }

        public Criteria andFaxNotIn(List<String> values) {
            addCriterion("fax not in", values, "fax");
            return (Criteria) this;
        }

        public Criteria andFaxBetween(String value1, String value2) {
            addCriterion("fax between", value1, value2, "fax");
            return (Criteria) this;
        }

        public Criteria andFaxNotBetween(String value1, String value2) {
            addCriterion("fax not between", value1, value2, "fax");
            return (Criteria) this;
        }

        public Criteria andChargePersonIsNull() {
            addCriterion("charge_person is null");
            return (Criteria) this;
        }

        public Criteria andChargePersonIsNotNull() {
            addCriterion("charge_person is not null");
            return (Criteria) this;
        }

        public Criteria andChargePersonEqualTo(String value) {
            addCriterion("charge_person =", value, "chargePerson");
            return (Criteria) this;
        }

        public Criteria andChargePersonNotEqualTo(String value) {
            addCriterion("charge_person <>", value, "chargePerson");
            return (Criteria) this;
        }

        public Criteria andChargePersonGreaterThan(String value) {
            addCriterion("charge_person >", value, "chargePerson");
            return (Criteria) this;
        }

        public Criteria andChargePersonGreaterThanOrEqualTo(String value) {
            addCriterion("charge_person >=", value, "chargePerson");
            return (Criteria) this;
        }

        public Criteria andChargePersonLessThan(String value) {
            addCriterion("charge_person <", value, "chargePerson");
            return (Criteria) this;
        }

        public Criteria andChargePersonLessThanOrEqualTo(String value) {
            addCriterion("charge_person <=", value, "chargePerson");
            return (Criteria) this;
        }

        public Criteria andChargePersonLike(String value) {
            addCriterion("charge_person like", value, "chargePerson");
            return (Criteria) this;
        }

        public Criteria andChargePersonNotLike(String value) {
            addCriterion("charge_person not like", value, "chargePerson");
            return (Criteria) this;
        }

        public Criteria andChargePersonIn(List<String> values) {
            addCriterion("charge_person in", values, "chargePerson");
            return (Criteria) this;
        }

        public Criteria andChargePersonNotIn(List<String> values) {
            addCriterion("charge_person not in", values, "chargePerson");
            return (Criteria) this;
        }

        public Criteria andChargePersonBetween(String value1, String value2) {
            addCriterion("charge_person between", value1, value2, "chargePerson");
            return (Criteria) this;
        }

        public Criteria andChargePersonNotBetween(String value1, String value2) {
            addCriterion("charge_person not between", value1, value2, "chargePerson");
            return (Criteria) this;
        }

        public Criteria andLongitudeIsNull() {
            addCriterion("longitude is null");
            return (Criteria) this;
        }

        public Criteria andLongitudeIsNotNull() {
            addCriterion("longitude is not null");
            return (Criteria) this;
        }

        public Criteria andLongitudeEqualTo(String value) {
            addCriterion("longitude =", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotEqualTo(String value) {
            addCriterion("longitude <>", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeGreaterThan(String value) {
            addCriterion("longitude >", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeGreaterThanOrEqualTo(String value) {
            addCriterion("longitude >=", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLessThan(String value) {
            addCriterion("longitude <", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLessThanOrEqualTo(String value) {
            addCriterion("longitude <=", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLike(String value) {
            addCriterion("longitude like", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotLike(String value) {
            addCriterion("longitude not like", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeIn(List<String> values) {
            addCriterion("longitude in", values, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotIn(List<String> values) {
            addCriterion("longitude not in", values, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeBetween(String value1, String value2) {
            addCriterion("longitude between", value1, value2, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotBetween(String value1, String value2) {
            addCriterion("longitude not between", value1, value2, "longitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeIsNull() {
            addCriterion("latitude is null");
            return (Criteria) this;
        }

        public Criteria andLatitudeIsNotNull() {
            addCriterion("latitude is not null");
            return (Criteria) this;
        }

        public Criteria andLatitudeEqualTo(String value) {
            addCriterion("latitude =", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotEqualTo(String value) {
            addCriterion("latitude <>", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeGreaterThan(String value) {
            addCriterion("latitude >", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeGreaterThanOrEqualTo(String value) {
            addCriterion("latitude >=", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLessThan(String value) {
            addCriterion("latitude <", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLessThanOrEqualTo(String value) {
            addCriterion("latitude <=", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLike(String value) {
            addCriterion("latitude like", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotLike(String value) {
            addCriterion("latitude not like", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeIn(List<String> values) {
            addCriterion("latitude in", values, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotIn(List<String> values) {
            addCriterion("latitude not in", values, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeBetween(String value1, String value2) {
            addCriterion("latitude between", value1, value2, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotBetween(String value1, String value2) {
            addCriterion("latitude not between", value1, value2, "latitude");
            return (Criteria) this;
        }

        public Criteria andRegistCapitalIsNull() {
            addCriterion("regist_capital is null");
            return (Criteria) this;
        }

        public Criteria andRegistCapitalIsNotNull() {
            addCriterion("regist_capital is not null");
            return (Criteria) this;
        }

        public Criteria andRegistCapitalEqualTo(Integer value) {
            addCriterion("regist_capital =", value, "registCapital");
            return (Criteria) this;
        }

        public Criteria andRegistCapitalNotEqualTo(Integer value) {
            addCriterion("regist_capital <>", value, "registCapital");
            return (Criteria) this;
        }

        public Criteria andRegistCapitalGreaterThan(Integer value) {
            addCriterion("regist_capital >", value, "registCapital");
            return (Criteria) this;
        }

        public Criteria andRegistCapitalGreaterThanOrEqualTo(Integer value) {
            addCriterion("regist_capital >=", value, "registCapital");
            return (Criteria) this;
        }

        public Criteria andRegistCapitalLessThan(Integer value) {
            addCriterion("regist_capital <", value, "registCapital");
            return (Criteria) this;
        }

        public Criteria andRegistCapitalLessThanOrEqualTo(Integer value) {
            addCriterion("regist_capital <=", value, "registCapital");
            return (Criteria) this;
        }

        public Criteria andRegistCapitalIn(List<Integer> values) {
            addCriterion("regist_capital in", values, "registCapital");
            return (Criteria) this;
        }

        public Criteria andRegistCapitalNotIn(List<Integer> values) {
            addCriterion("regist_capital not in", values, "registCapital");
            return (Criteria) this;
        }

        public Criteria andRegistCapitalBetween(Integer value1, Integer value2) {
            addCriterion("regist_capital between", value1, value2, "registCapital");
            return (Criteria) this;
        }

        public Criteria andRegistCapitalNotBetween(Integer value1, Integer value2) {
            addCriterion("regist_capital not between", value1, value2, "registCapital");
            return (Criteria) this;
        }

        public Criteria andWorkNumberIsNull() {
            addCriterion("work_number is null");
            return (Criteria) this;
        }

        public Criteria andWorkNumberIsNotNull() {
            addCriterion("work_number is not null");
            return (Criteria) this;
        }

        public Criteria andWorkNumberEqualTo(Integer value) {
            addCriterion("work_number =", value, "workNumber");
            return (Criteria) this;
        }

        public Criteria andWorkNumberNotEqualTo(Integer value) {
            addCriterion("work_number <>", value, "workNumber");
            return (Criteria) this;
        }

        public Criteria andWorkNumberGreaterThan(Integer value) {
            addCriterion("work_number >", value, "workNumber");
            return (Criteria) this;
        }

        public Criteria andWorkNumberGreaterThanOrEqualTo(Integer value) {
            addCriterion("work_number >=", value, "workNumber");
            return (Criteria) this;
        }

        public Criteria andWorkNumberLessThan(Integer value) {
            addCriterion("work_number <", value, "workNumber");
            return (Criteria) this;
        }

        public Criteria andWorkNumberLessThanOrEqualTo(Integer value) {
            addCriterion("work_number <=", value, "workNumber");
            return (Criteria) this;
        }

        public Criteria andWorkNumberIn(List<Integer> values) {
            addCriterion("work_number in", values, "workNumber");
            return (Criteria) this;
        }

        public Criteria andWorkNumberNotIn(List<Integer> values) {
            addCriterion("work_number not in", values, "workNumber");
            return (Criteria) this;
        }

        public Criteria andWorkNumberBetween(Integer value1, Integer value2) {
            addCriterion("work_number between", value1, value2, "workNumber");
            return (Criteria) this;
        }

        public Criteria andWorkNumberNotBetween(Integer value1, Integer value2) {
            addCriterion("work_number not between", value1, value2, "workNumber");
            return (Criteria) this;
        }

        public Criteria andAreaCodeIsNull() {
            addCriterion("area_code is null");
            return (Criteria) this;
        }

        public Criteria andAreaCodeIsNotNull() {
            addCriterion("area_code is not null");
            return (Criteria) this;
        }

        public Criteria andAreaCodeEqualTo(Integer value) {
            addCriterion("area_code =", value, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeNotEqualTo(Integer value) {
            addCriterion("area_code <>", value, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeGreaterThan(Integer value) {
            addCriterion("area_code >", value, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeGreaterThanOrEqualTo(Integer value) {
            addCriterion("area_code >=", value, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeLessThan(Integer value) {
            addCriterion("area_code <", value, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeLessThanOrEqualTo(Integer value) {
            addCriterion("area_code <=", value, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeIn(List<Integer> values) {
            addCriterion("area_code in", values, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeNotIn(List<Integer> values) {
            addCriterion("area_code not in", values, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeBetween(Integer value1, Integer value2) {
            addCriterion("area_code between", value1, value2, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeNotBetween(Integer value1, Integer value2) {
            addCriterion("area_code not between", value1, value2, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaNameIsNull() {
            addCriterion("area_name is null");
            return (Criteria) this;
        }

        public Criteria andAreaNameIsNotNull() {
            addCriterion("area_name is not null");
            return (Criteria) this;
        }

        public Criteria andAreaNameEqualTo(String value) {
            addCriterion("area_name =", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameNotEqualTo(String value) {
            addCriterion("area_name <>", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameGreaterThan(String value) {
            addCriterion("area_name >", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameGreaterThanOrEqualTo(String value) {
            addCriterion("area_name >=", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameLessThan(String value) {
            addCriterion("area_name <", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameLessThanOrEqualTo(String value) {
            addCriterion("area_name <=", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameLike(String value) {
            addCriterion("area_name like", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameNotLike(String value) {
            addCriterion("area_name not like", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameIn(List<String> values) {
            addCriterion("area_name in", values, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameNotIn(List<String> values) {
            addCriterion("area_name not in", values, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameBetween(String value1, String value2) {
            addCriterion("area_name between", value1, value2, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameNotBetween(String value1, String value2) {
            addCriterion("area_name not between", value1, value2, "areaName");
            return (Criteria) this;
        }

        public Criteria andPostIsNull() {
            addCriterion("post is null");
            return (Criteria) this;
        }

        public Criteria andPostIsNotNull() {
            addCriterion("post is not null");
            return (Criteria) this;
        }

        public Criteria andPostEqualTo(Integer value) {
            addCriterion("post =", value, "post");
            return (Criteria) this;
        }

        public Criteria andPostNotEqualTo(Integer value) {
            addCriterion("post <>", value, "post");
            return (Criteria) this;
        }

        public Criteria andPostGreaterThan(Integer value) {
            addCriterion("post >", value, "post");
            return (Criteria) this;
        }

        public Criteria andPostGreaterThanOrEqualTo(Integer value) {
            addCriterion("post >=", value, "post");
            return (Criteria) this;
        }

        public Criteria andPostLessThan(Integer value) {
            addCriterion("post <", value, "post");
            return (Criteria) this;
        }

        public Criteria andPostLessThanOrEqualTo(Integer value) {
            addCriterion("post <=", value, "post");
            return (Criteria) this;
        }

        public Criteria andPostIn(List<Integer> values) {
            addCriterion("post in", values, "post");
            return (Criteria) this;
        }

        public Criteria andPostNotIn(List<Integer> values) {
            addCriterion("post not in", values, "post");
            return (Criteria) this;
        }

        public Criteria andPostBetween(Integer value1, Integer value2) {
            addCriterion("post between", value1, value2, "post");
            return (Criteria) this;
        }

        public Criteria andPostNotBetween(Integer value1, Integer value2) {
            addCriterion("post not between", value1, value2, "post");
            return (Criteria) this;
        }

        public Criteria andDepotClassIsNull() {
            addCriterion("depot_class is null");
            return (Criteria) this;
        }

        public Criteria andDepotClassIsNotNull() {
            addCriterion("depot_class is not null");
            return (Criteria) this;
        }

        public Criteria andDepotClassEqualTo(Integer value) {
            addCriterion("depot_class =", value, "depotClass");
            return (Criteria) this;
        }

        public Criteria andDepotClassNotEqualTo(Integer value) {
            addCriterion("depot_class <>", value, "depotClass");
            return (Criteria) this;
        }

        public Criteria andDepotClassGreaterThan(Integer value) {
            addCriterion("depot_class >", value, "depotClass");
            return (Criteria) this;
        }

        public Criteria andDepotClassGreaterThanOrEqualTo(Integer value) {
            addCriterion("depot_class >=", value, "depotClass");
            return (Criteria) this;
        }

        public Criteria andDepotClassLessThan(Integer value) {
            addCriterion("depot_class <", value, "depotClass");
            return (Criteria) this;
        }

        public Criteria andDepotClassLessThanOrEqualTo(Integer value) {
            addCriterion("depot_class <=", value, "depotClass");
            return (Criteria) this;
        }

        public Criteria andDepotClassIn(List<Integer> values) {
            addCriterion("depot_class in", values, "depotClass");
            return (Criteria) this;
        }

        public Criteria andDepotClassNotIn(List<Integer> values) {
            addCriterion("depot_class not in", values, "depotClass");
            return (Criteria) this;
        }

        public Criteria andDepotClassBetween(Integer value1, Integer value2) {
            addCriterion("depot_class between", value1, value2, "depotClass");
            return (Criteria) this;
        }

        public Criteria andDepotClassNotBetween(Integer value1, Integer value2) {
            addCriterion("depot_class not between", value1, value2, "depotClass");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityIsNull() {
            addCriterion("design_capacity is null");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityIsNotNull() {
            addCriterion("design_capacity is not null");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityEqualTo(Integer value) {
            addCriterion("design_capacity =", value, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityNotEqualTo(Integer value) {
            addCriterion("design_capacity <>", value, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityGreaterThan(Integer value) {
            addCriterion("design_capacity >", value, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityGreaterThanOrEqualTo(Integer value) {
            addCriterion("design_capacity >=", value, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityLessThan(Integer value) {
            addCriterion("design_capacity <", value, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityLessThanOrEqualTo(Integer value) {
            addCriterion("design_capacity <=", value, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityIn(List<Integer> values) {
            addCriterion("design_capacity in", values, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityNotIn(List<Integer> values) {
            addCriterion("design_capacity not in", values, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityBetween(Integer value1, Integer value2) {
            addCriterion("design_capacity between", value1, value2, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityNotBetween(Integer value1, Integer value2) {
            addCriterion("design_capacity not between", value1, value2, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andEffectiveCapacityIsNull() {
            addCriterion("effective_capacity is null");
            return (Criteria) this;
        }

        public Criteria andEffectiveCapacityIsNotNull() {
            addCriterion("effective_capacity is not null");
            return (Criteria) this;
        }

        public Criteria andEffectiveCapacityEqualTo(Integer value) {
            addCriterion("effective_capacity =", value, "effectiveCapacity");
            return (Criteria) this;
        }

        public Criteria andEffectiveCapacityNotEqualTo(Integer value) {
            addCriterion("effective_capacity <>", value, "effectiveCapacity");
            return (Criteria) this;
        }

        public Criteria andEffectiveCapacityGreaterThan(Integer value) {
            addCriterion("effective_capacity >", value, "effectiveCapacity");
            return (Criteria) this;
        }

        public Criteria andEffectiveCapacityGreaterThanOrEqualTo(Integer value) {
            addCriterion("effective_capacity >=", value, "effectiveCapacity");
            return (Criteria) this;
        }

        public Criteria andEffectiveCapacityLessThan(Integer value) {
            addCriterion("effective_capacity <", value, "effectiveCapacity");
            return (Criteria) this;
        }

        public Criteria andEffectiveCapacityLessThanOrEqualTo(Integer value) {
            addCriterion("effective_capacity <=", value, "effectiveCapacity");
            return (Criteria) this;
        }

        public Criteria andEffectiveCapacityIn(List<Integer> values) {
            addCriterion("effective_capacity in", values, "effectiveCapacity");
            return (Criteria) this;
        }

        public Criteria andEffectiveCapacityNotIn(List<Integer> values) {
            addCriterion("effective_capacity not in", values, "effectiveCapacity");
            return (Criteria) this;
        }

        public Criteria andEffectiveCapacityBetween(Integer value1, Integer value2) {
            addCriterion("effective_capacity between", value1, value2, "effectiveCapacity");
            return (Criteria) this;
        }

        public Criteria andEffectiveCapacityNotBetween(Integer value1, Integer value2) {
            addCriterion("effective_capacity not between", value1, value2, "effectiveCapacity");
            return (Criteria) this;
        }

        public Criteria andDepotAreaIsNull() {
            addCriterion("depot_area is null");
            return (Criteria) this;
        }

        public Criteria andDepotAreaIsNotNull() {
            addCriterion("depot_area is not null");
            return (Criteria) this;
        }

        public Criteria andDepotAreaEqualTo(Float value) {
            addCriterion("depot_area =", value, "depotArea");
            return (Criteria) this;
        }

        public Criteria andDepotAreaNotEqualTo(Float value) {
            addCriterion("depot_area <>", value, "depotArea");
            return (Criteria) this;
        }

        public Criteria andDepotAreaGreaterThan(Float value) {
            addCriterion("depot_area >", value, "depotArea");
            return (Criteria) this;
        }

        public Criteria andDepotAreaGreaterThanOrEqualTo(Float value) {
            addCriterion("depot_area >=", value, "depotArea");
            return (Criteria) this;
        }

        public Criteria andDepotAreaLessThan(Float value) {
            addCriterion("depot_area <", value, "depotArea");
            return (Criteria) this;
        }

        public Criteria andDepotAreaLessThanOrEqualTo(Float value) {
            addCriterion("depot_area <=", value, "depotArea");
            return (Criteria) this;
        }

        public Criteria andDepotAreaIn(List<Float> values) {
            addCriterion("depot_area in", values, "depotArea");
            return (Criteria) this;
        }

        public Criteria andDepotAreaNotIn(List<Float> values) {
            addCriterion("depot_area not in", values, "depotArea");
            return (Criteria) this;
        }

        public Criteria andDepotAreaBetween(Float value1, Float value2) {
            addCriterion("depot_area between", value1, value2, "depotArea");
            return (Criteria) this;
        }

        public Criteria andDepotAreaNotBetween(Float value1, Float value2) {
            addCriterion("depot_area not between", value1, value2, "depotArea");
            return (Criteria) this;
        }

        public Criteria andCompleteDateIsNull() {
            addCriterion("complete_date is null");
            return (Criteria) this;
        }

        public Criteria andCompleteDateIsNotNull() {
            addCriterion("complete_date is not null");
            return (Criteria) this;
        }

        public Criteria andCompleteDateEqualTo(Date value) {
            addCriterion("complete_date =", value, "completeDate");
            return (Criteria) this;
        }

        public Criteria andCompleteDateNotEqualTo(Date value) {
            addCriterion("complete_date <>", value, "completeDate");
            return (Criteria) this;
        }

        public Criteria andCompleteDateGreaterThan(Date value) {
            addCriterion("complete_date >", value, "completeDate");
            return (Criteria) this;
        }

        public Criteria andCompleteDateGreaterThanOrEqualTo(Date value) {
            addCriterion("complete_date >=", value, "completeDate");
            return (Criteria) this;
        }

        public Criteria andCompleteDateLessThan(Date value) {
            addCriterion("complete_date <", value, "completeDate");
            return (Criteria) this;
        }

        public Criteria andCompleteDateLessThanOrEqualTo(Date value) {
            addCriterion("complete_date <=", value, "completeDate");
            return (Criteria) this;
        }

        public Criteria andCompleteDateIn(List<Date> values) {
            addCriterion("complete_date in", values, "completeDate");
            return (Criteria) this;
        }

        public Criteria andCompleteDateNotIn(List<Date> values) {
            addCriterion("complete_date not in", values, "completeDate");
            return (Criteria) this;
        }

        public Criteria andCompleteDateBetween(Date value1, Date value2) {
            addCriterion("complete_date between", value1, value2, "completeDate");
            return (Criteria) this;
        }

        public Criteria andCompleteDateNotBetween(Date value1, Date value2) {
            addCriterion("complete_date not between", value1, value2, "completeDate");
            return (Criteria) this;
        }

        public Criteria andUseDateIsNull() {
            addCriterion("use_date is null");
            return (Criteria) this;
        }

        public Criteria andUseDateIsNotNull() {
            addCriterion("use_date is not null");
            return (Criteria) this;
        }

        public Criteria andUseDateEqualTo(Date value) {
            addCriterion("use_date =", value, "useDate");
            return (Criteria) this;
        }

        public Criteria andUseDateNotEqualTo(Date value) {
            addCriterion("use_date <>", value, "useDate");
            return (Criteria) this;
        }

        public Criteria andUseDateGreaterThan(Date value) {
            addCriterion("use_date >", value, "useDate");
            return (Criteria) this;
        }

        public Criteria andUseDateGreaterThanOrEqualTo(Date value) {
            addCriterion("use_date >=", value, "useDate");
            return (Criteria) this;
        }

        public Criteria andUseDateLessThan(Date value) {
            addCriterion("use_date <", value, "useDate");
            return (Criteria) this;
        }

        public Criteria andUseDateLessThanOrEqualTo(Date value) {
            addCriterion("use_date <=", value, "useDate");
            return (Criteria) this;
        }

        public Criteria andUseDateIn(List<Date> values) {
            addCriterion("use_date in", values, "useDate");
            return (Criteria) this;
        }

        public Criteria andUseDateNotIn(List<Date> values) {
            addCriterion("use_date not in", values, "useDate");
            return (Criteria) this;
        }

        public Criteria andUseDateBetween(Date value1, Date value2) {
            addCriterion("use_date between", value1, value2, "useDate");
            return (Criteria) this;
        }

        public Criteria andUseDateNotBetween(Date value1, Date value2) {
            addCriterion("use_date not between", value1, value2, "useDate");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeIsNull() {
            addCriterion("company_org_code is null");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeIsNotNull() {
            addCriterion("company_org_code is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeEqualTo(String value) {
            addCriterion("company_org_code =", value, "companyOrgCode");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeNotEqualTo(String value) {
            addCriterion("company_org_code <>", value, "companyOrgCode");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeGreaterThan(String value) {
            addCriterion("company_org_code >", value, "companyOrgCode");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeGreaterThanOrEqualTo(String value) {
            addCriterion("company_org_code >=", value, "companyOrgCode");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeLessThan(String value) {
            addCriterion("company_org_code <", value, "companyOrgCode");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeLessThanOrEqualTo(String value) {
            addCriterion("company_org_code <=", value, "companyOrgCode");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeLike(String value) {
            addCriterion("company_org_code like", value, "companyOrgCode");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeNotLike(String value) {
            addCriterion("company_org_code not like", value, "companyOrgCode");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeIn(List<String> values) {
            addCriterion("company_org_code in", values, "companyOrgCode");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeNotIn(List<String> values) {
            addCriterion("company_org_code not in", values, "companyOrgCode");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeBetween(String value1, String value2) {
            addCriterion("company_org_code between", value1, value2, "companyOrgCode");
            return (Criteria) this;
        }

        public Criteria andCompanyOrgCodeNotBetween(String value1, String value2) {
            addCriterion("company_org_code not between", value1, value2, "companyOrgCode");
            return (Criteria) this;
        }

        public Criteria andCreditCodeIsNull() {
            addCriterion("credit_code is null");
            return (Criteria) this;
        }

        public Criteria andCreditCodeIsNotNull() {
            addCriterion("credit_code is not null");
            return (Criteria) this;
        }

        public Criteria andCreditCodeEqualTo(String value) {
            addCriterion("credit_code =", value, "creditCode");
            return (Criteria) this;
        }

        public Criteria andCreditCodeNotEqualTo(String value) {
            addCriterion("credit_code <>", value, "creditCode");
            return (Criteria) this;
        }

        public Criteria andCreditCodeGreaterThan(String value) {
            addCriterion("credit_code >", value, "creditCode");
            return (Criteria) this;
        }

        public Criteria andCreditCodeGreaterThanOrEqualTo(String value) {
            addCriterion("credit_code >=", value, "creditCode");
            return (Criteria) this;
        }

        public Criteria andCreditCodeLessThan(String value) {
            addCriterion("credit_code <", value, "creditCode");
            return (Criteria) this;
        }

        public Criteria andCreditCodeLessThanOrEqualTo(String value) {
            addCriterion("credit_code <=", value, "creditCode");
            return (Criteria) this;
        }

        public Criteria andCreditCodeLike(String value) {
            addCriterion("credit_code like", value, "creditCode");
            return (Criteria) this;
        }

        public Criteria andCreditCodeNotLike(String value) {
            addCriterion("credit_code not like", value, "creditCode");
            return (Criteria) this;
        }

        public Criteria andCreditCodeIn(List<String> values) {
            addCriterion("credit_code in", values, "creditCode");
            return (Criteria) this;
        }

        public Criteria andCreditCodeNotIn(List<String> values) {
            addCriterion("credit_code not in", values, "creditCode");
            return (Criteria) this;
        }

        public Criteria andCreditCodeBetween(String value1, String value2) {
            addCriterion("credit_code between", value1, value2, "creditCode");
            return (Criteria) this;
        }

        public Criteria andCreditCodeNotBetween(String value1, String value2) {
            addCriterion("credit_code not between", value1, value2, "creditCode");
            return (Criteria) this;
        }

        public Criteria andRegistTypeIsNull() {
            addCriterion("regist_type is null");
            return (Criteria) this;
        }

        public Criteria andRegistTypeIsNotNull() {
            addCriterion("regist_type is not null");
            return (Criteria) this;
        }

        public Criteria andRegistTypeEqualTo(Integer value) {
            addCriterion("regist_type =", value, "registType");
            return (Criteria) this;
        }

        public Criteria andRegistTypeNotEqualTo(Integer value) {
            addCriterion("regist_type <>", value, "registType");
            return (Criteria) this;
        }

        public Criteria andRegistTypeGreaterThan(Integer value) {
            addCriterion("regist_type >", value, "registType");
            return (Criteria) this;
        }

        public Criteria andRegistTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("regist_type >=", value, "registType");
            return (Criteria) this;
        }

        public Criteria andRegistTypeLessThan(Integer value) {
            addCriterion("regist_type <", value, "registType");
            return (Criteria) this;
        }

        public Criteria andRegistTypeLessThanOrEqualTo(Integer value) {
            addCriterion("regist_type <=", value, "registType");
            return (Criteria) this;
        }

        public Criteria andRegistTypeIn(List<Integer> values) {
            addCriterion("regist_type in", values, "registType");
            return (Criteria) this;
        }

        public Criteria andRegistTypeNotIn(List<Integer> values) {
            addCriterion("regist_type not in", values, "registType");
            return (Criteria) this;
        }

        public Criteria andRegistTypeBetween(Integer value1, Integer value2) {
            addCriterion("regist_type between", value1, value2, "registType");
            return (Criteria) this;
        }

        public Criteria andRegistTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("regist_type not between", value1, value2, "registType");
            return (Criteria) this;
        }

        public Criteria andQualificationIsNull() {
            addCriterion("qualification is null");
            return (Criteria) this;
        }

        public Criteria andQualificationIsNotNull() {
            addCriterion("qualification is not null");
            return (Criteria) this;
        }

        public Criteria andQualificationEqualTo(Integer value) {
            addCriterion("qualification =", value, "qualification");
            return (Criteria) this;
        }

        public Criteria andQualificationNotEqualTo(Integer value) {
            addCriterion("qualification <>", value, "qualification");
            return (Criteria) this;
        }

        public Criteria andQualificationGreaterThan(Integer value) {
            addCriterion("qualification >", value, "qualification");
            return (Criteria) this;
        }

        public Criteria andQualificationGreaterThanOrEqualTo(Integer value) {
            addCriterion("qualification >=", value, "qualification");
            return (Criteria) this;
        }

        public Criteria andQualificationLessThan(Integer value) {
            addCriterion("qualification <", value, "qualification");
            return (Criteria) this;
        }

        public Criteria andQualificationLessThanOrEqualTo(Integer value) {
            addCriterion("qualification <=", value, "qualification");
            return (Criteria) this;
        }

        public Criteria andQualificationIn(List<Integer> values) {
            addCriterion("qualification in", values, "qualification");
            return (Criteria) this;
        }

        public Criteria andQualificationNotIn(List<Integer> values) {
            addCriterion("qualification not in", values, "qualification");
            return (Criteria) this;
        }

        public Criteria andQualificationBetween(Integer value1, Integer value2) {
            addCriterion("qualification between", value1, value2, "qualification");
            return (Criteria) this;
        }

        public Criteria andQualificationNotBetween(Integer value1, Integer value2) {
            addCriterion("qualification not between", value1, value2, "qualification");
            return (Criteria) this;
        }

        public Criteria andIndependentCorporationIsNull() {
            addCriterion("independent_corporation is null");
            return (Criteria) this;
        }

        public Criteria andIndependentCorporationIsNotNull() {
            addCriterion("independent_corporation is not null");
            return (Criteria) this;
        }

        public Criteria andIndependentCorporationEqualTo(Integer value) {
            addCriterion("independent_corporation =", value, "independentCorporation");
            return (Criteria) this;
        }

        public Criteria andIndependentCorporationNotEqualTo(Integer value) {
            addCriterion("independent_corporation <>", value, "independentCorporation");
            return (Criteria) this;
        }

        public Criteria andIndependentCorporationGreaterThan(Integer value) {
            addCriterion("independent_corporation >", value, "independentCorporation");
            return (Criteria) this;
        }

        public Criteria andIndependentCorporationGreaterThanOrEqualTo(Integer value) {
            addCriterion("independent_corporation >=", value, "independentCorporation");
            return (Criteria) this;
        }

        public Criteria andIndependentCorporationLessThan(Integer value) {
            addCriterion("independent_corporation <", value, "independentCorporation");
            return (Criteria) this;
        }

        public Criteria andIndependentCorporationLessThanOrEqualTo(Integer value) {
            addCriterion("independent_corporation <=", value, "independentCorporation");
            return (Criteria) this;
        }

        public Criteria andIndependentCorporationIn(List<Integer> values) {
            addCriterion("independent_corporation in", values, "independentCorporation");
            return (Criteria) this;
        }

        public Criteria andIndependentCorporationNotIn(List<Integer> values) {
            addCriterion("independent_corporation not in", values, "independentCorporation");
            return (Criteria) this;
        }

        public Criteria andIndependentCorporationBetween(Integer value1, Integer value2) {
            addCriterion("independent_corporation between", value1, value2, "independentCorporation");
            return (Criteria) this;
        }

        public Criteria andIndependentCorporationNotBetween(Integer value1, Integer value2) {
            addCriterion("independent_corporation not between", value1, value2, "independentCorporation");
            return (Criteria) this;
        }

        public Criteria andLegalPersonIsNull() {
            addCriterion("legal_person is null");
            return (Criteria) this;
        }

        public Criteria andLegalPersonIsNotNull() {
            addCriterion("legal_person is not null");
            return (Criteria) this;
        }

        public Criteria andLegalPersonEqualTo(String value) {
            addCriterion("legal_person =", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonNotEqualTo(String value) {
            addCriterion("legal_person <>", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonGreaterThan(String value) {
            addCriterion("legal_person >", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonGreaterThanOrEqualTo(String value) {
            addCriterion("legal_person >=", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonLessThan(String value) {
            addCriterion("legal_person <", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonLessThanOrEqualTo(String value) {
            addCriterion("legal_person <=", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonLike(String value) {
            addCriterion("legal_person like", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonNotLike(String value) {
            addCriterion("legal_person not like", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonIn(List<String> values) {
            addCriterion("legal_person in", values, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonNotIn(List<String> values) {
            addCriterion("legal_person not in", values, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonBetween(String value1, String value2) {
            addCriterion("legal_person between", value1, value2, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonNotBetween(String value1, String value2) {
            addCriterion("legal_person not between", value1, value2, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andWhetherRentIsNull() {
            addCriterion("whether_rent is null");
            return (Criteria) this;
        }

        public Criteria andWhetherRentIsNotNull() {
            addCriterion("whether_rent is not null");
            return (Criteria) this;
        }

        public Criteria andWhetherRentEqualTo(Integer value) {
            addCriterion("whether_rent =", value, "whetherRent");
            return (Criteria) this;
        }

        public Criteria andWhetherRentNotEqualTo(Integer value) {
            addCriterion("whether_rent <>", value, "whetherRent");
            return (Criteria) this;
        }

        public Criteria andWhetherRentGreaterThan(Integer value) {
            addCriterion("whether_rent >", value, "whetherRent");
            return (Criteria) this;
        }

        public Criteria andWhetherRentGreaterThanOrEqualTo(Integer value) {
            addCriterion("whether_rent >=", value, "whetherRent");
            return (Criteria) this;
        }

        public Criteria andWhetherRentLessThan(Integer value) {
            addCriterion("whether_rent <", value, "whetherRent");
            return (Criteria) this;
        }

        public Criteria andWhetherRentLessThanOrEqualTo(Integer value) {
            addCriterion("whether_rent <=", value, "whetherRent");
            return (Criteria) this;
        }

        public Criteria andWhetherRentIn(List<Integer> values) {
            addCriterion("whether_rent in", values, "whetherRent");
            return (Criteria) this;
        }

        public Criteria andWhetherRentNotIn(List<Integer> values) {
            addCriterion("whether_rent not in", values, "whetherRent");
            return (Criteria) this;
        }

        public Criteria andWhetherRentBetween(Integer value1, Integer value2) {
            addCriterion("whether_rent between", value1, value2, "whetherRent");
            return (Criteria) this;
        }

        public Criteria andWhetherRentNotBetween(Integer value1, Integer value2) {
            addCriterion("whether_rent not between", value1, value2, "whetherRent");
            return (Criteria) this;
        }

        public Criteria andInfoRegistIsNull() {
            addCriterion("info_regist is null");
            return (Criteria) this;
        }

        public Criteria andInfoRegistIsNotNull() {
            addCriterion("info_regist is not null");
            return (Criteria) this;
        }

        public Criteria andInfoRegistEqualTo(String value) {
            addCriterion("info_regist =", value, "infoRegist");
            return (Criteria) this;
        }

        public Criteria andInfoRegistNotEqualTo(String value) {
            addCriterion("info_regist <>", value, "infoRegist");
            return (Criteria) this;
        }

        public Criteria andInfoRegistGreaterThan(String value) {
            addCriterion("info_regist >", value, "infoRegist");
            return (Criteria) this;
        }

        public Criteria andInfoRegistGreaterThanOrEqualTo(String value) {
            addCriterion("info_regist >=", value, "infoRegist");
            return (Criteria) this;
        }

        public Criteria andInfoRegistLessThan(String value) {
            addCriterion("info_regist <", value, "infoRegist");
            return (Criteria) this;
        }

        public Criteria andInfoRegistLessThanOrEqualTo(String value) {
            addCriterion("info_regist <=", value, "infoRegist");
            return (Criteria) this;
        }

        public Criteria andInfoRegistLike(String value) {
            addCriterion("info_regist like", value, "infoRegist");
            return (Criteria) this;
        }

        public Criteria andInfoRegistNotLike(String value) {
            addCriterion("info_regist not like", value, "infoRegist");
            return (Criteria) this;
        }

        public Criteria andInfoRegistIn(List<String> values) {
            addCriterion("info_regist in", values, "infoRegist");
            return (Criteria) this;
        }

        public Criteria andInfoRegistNotIn(List<String> values) {
            addCriterion("info_regist not in", values, "infoRegist");
            return (Criteria) this;
        }

        public Criteria andInfoRegistBetween(String value1, String value2) {
            addCriterion("info_regist between", value1, value2, "infoRegist");
            return (Criteria) this;
        }

        public Criteria andInfoRegistNotBetween(String value1, String value2) {
            addCriterion("info_regist not between", value1, value2, "infoRegist");
            return (Criteria) this;
        }

        public Criteria andRegistDateIsNull() {
            addCriterion("regist_date is null");
            return (Criteria) this;
        }

        public Criteria andRegistDateIsNotNull() {
            addCriterion("regist_date is not null");
            return (Criteria) this;
        }

        public Criteria andRegistDateEqualTo(Date value) {
            addCriterion("regist_date =", value, "registDate");
            return (Criteria) this;
        }

        public Criteria andRegistDateNotEqualTo(Date value) {
            addCriterion("regist_date <>", value, "registDate");
            return (Criteria) this;
        }

        public Criteria andRegistDateGreaterThan(Date value) {
            addCriterion("regist_date >", value, "registDate");
            return (Criteria) this;
        }

        public Criteria andRegistDateGreaterThanOrEqualTo(Date value) {
            addCriterion("regist_date >=", value, "registDate");
            return (Criteria) this;
        }

        public Criteria andRegistDateLessThan(Date value) {
            addCriterion("regist_date <", value, "registDate");
            return (Criteria) this;
        }

        public Criteria andRegistDateLessThanOrEqualTo(Date value) {
            addCriterion("regist_date <=", value, "registDate");
            return (Criteria) this;
        }

        public Criteria andRegistDateIn(List<Date> values) {
            addCriterion("regist_date in", values, "registDate");
            return (Criteria) this;
        }

        public Criteria andRegistDateNotIn(List<Date> values) {
            addCriterion("regist_date not in", values, "registDate");
            return (Criteria) this;
        }

        public Criteria andRegistDateBetween(Date value1, Date value2) {
            addCriterion("regist_date between", value1, value2, "registDate");
            return (Criteria) this;
        }

        public Criteria andRegistDateNotBetween(Date value1, Date value2) {
            addCriterion("regist_date not between", value1, value2, "registDate");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andParentIdIsNull() {
            addCriterion("parent_id is null");
            return (Criteria) this;
        }

        public Criteria andParentIdIsNotNull() {
            addCriterion("parent_id is not null");
            return (Criteria) this;
        }

        public Criteria andParentIdEqualTo(Integer value) {
            addCriterion("parent_id =", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdNotEqualTo(Integer value) {
            addCriterion("parent_id <>", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdGreaterThan(Integer value) {
            addCriterion("parent_id >", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("parent_id >=", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdLessThan(Integer value) {
            addCriterion("parent_id <", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdLessThanOrEqualTo(Integer value) {
            addCriterion("parent_id <=", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdIn(List<Integer> values) {
            addCriterion("parent_id in", values, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdNotIn(List<Integer> values) {
            addCriterion("parent_id not in", values, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdBetween(Integer value1, Integer value2) {
            addCriterion("parent_id between", value1, value2, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdNotBetween(Integer value1, Integer value2) {
            addCriterion("parent_id not between", value1, value2, "parentId");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("status is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("status is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("status =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("status <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("status >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("status >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("status <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("status <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("status in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("status not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("status between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("status not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNull() {
            addCriterion("del_flag is null");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNotNull() {
            addCriterion("del_flag is not null");
            return (Criteria) this;
        }

        public Criteria andDelFlagEqualTo(Integer value) {
            addCriterion("del_flag =", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotEqualTo(Integer value) {
            addCriterion("del_flag <>", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThan(Integer value) {
            addCriterion("del_flag >", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("del_flag >=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThan(Integer value) {
            addCriterion("del_flag <", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThanOrEqualTo(Integer value) {
            addCriterion("del_flag <=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagIn(List<Integer> values) {
            addCriterion("del_flag in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotIn(List<Integer> values) {
            addCriterion("del_flag not in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagBetween(Integer value1, Integer value2) {
            addCriterion("del_flag between", value1, value2, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("del_flag not between", value1, value2, "delFlag");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeIsNull() {
            addCriterion("birds_eye is null");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeIsNotNull() {
            addCriterion("birds_eye is not null");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeEqualTo(String value) {
            addCriterion("birds_eye =", value, "birdsEye");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeNotEqualTo(String value) {
            addCriterion("birds_eye <>", value, "birdsEye");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeGreaterThan(String value) {
            addCriterion("birds_eye >", value, "birdsEye");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeGreaterThanOrEqualTo(String value) {
            addCriterion("birds_eye >=", value, "birdsEye");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeLessThan(String value) {
            addCriterion("birds_eye <", value, "birdsEye");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeLessThanOrEqualTo(String value) {
            addCriterion("birds_eye <=", value, "birdsEye");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeLike(String value) {
            addCriterion("birds_eye like", value, "birdsEye");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeNotLike(String value) {
            addCriterion("birds_eye not like", value, "birdsEye");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeIn(List<String> values) {
            addCriterion("birds_eye in", values, "birdsEye");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeNotIn(List<String> values) {
            addCriterion("birds_eye not in", values, "birdsEye");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeBetween(String value1, String value2) {
            addCriterion("birds_eye between", value1, value2, "birdsEye");
            return (Criteria) this;
        }

        public Criteria andBirdsEyeNotBetween(String value1, String value2) {
            addCriterion("birds_eye not between", value1, value2, "birdsEye");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteIsNull() {
            addCriterion("birds_Remote is null");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteIsNotNull() {
            addCriterion("birds_Remote is not null");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteEqualTo(String value) {
            addCriterion("birds_Remote =", value, "birdsRemote");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteNotEqualTo(String value) {
            addCriterion("birds_Remote <>", value, "birdsRemote");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteGreaterThan(String value) {
            addCriterion("birds_Remote >", value, "birdsRemote");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteGreaterThanOrEqualTo(String value) {
            addCriterion("birds_Remote >=", value, "birdsRemote");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteLessThan(String value) {
            addCriterion("birds_Remote <", value, "birdsRemote");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteLessThanOrEqualTo(String value) {
            addCriterion("birds_Remote <=", value, "birdsRemote");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteLike(String value) {
            addCriterion("birds_Remote like", value, "birdsRemote");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteNotLike(String value) {
            addCriterion("birds_Remote not like", value, "birdsRemote");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteIn(List<String> values) {
            addCriterion("birds_Remote in", values, "birdsRemote");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteNotIn(List<String> values) {
            addCriterion("birds_Remote not in", values, "birdsRemote");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteBetween(String value1, String value2) {
            addCriterion("birds_Remote between", value1, value2, "birdsRemote");
            return (Criteria) this;
        }

        public Criteria andBirdsRemoteNotBetween(String value1, String value2) {
            addCriterion("birds_Remote not between", value1, value2, "birdsRemote");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionIsNull() {
            addCriterion("brief_introduction is null");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionIsNotNull() {
            addCriterion("brief_introduction is not null");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionEqualTo(String value) {
            addCriterion("brief_introduction =", value, "briefIntroduction");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionNotEqualTo(String value) {
            addCriterion("brief_introduction <>", value, "briefIntroduction");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionGreaterThan(String value) {
            addCriterion("brief_introduction >", value, "briefIntroduction");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionGreaterThanOrEqualTo(String value) {
            addCriterion("brief_introduction >=", value, "briefIntroduction");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionLessThan(String value) {
            addCriterion("brief_introduction <", value, "briefIntroduction");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionLessThanOrEqualTo(String value) {
            addCriterion("brief_introduction <=", value, "briefIntroduction");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionLike(String value) {
            addCriterion("brief_introduction like", value, "briefIntroduction");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionNotLike(String value) {
            addCriterion("brief_introduction not like", value, "briefIntroduction");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionIn(List<String> values) {
            addCriterion("brief_introduction in", values, "briefIntroduction");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionNotIn(List<String> values) {
            addCriterion("brief_introduction not in", values, "briefIntroduction");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionBetween(String value1, String value2) {
            addCriterion("brief_introduction between", value1, value2, "briefIntroduction");
            return (Criteria) this;
        }

        public Criteria andBriefIntroductionNotBetween(String value1, String value2) {
            addCriterion("brief_introduction not between", value1, value2, "briefIntroduction");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleIsNull() {
            addCriterion("invoice_title is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleIsNotNull() {
            addCriterion("invoice_title is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleEqualTo(String value) {
            addCriterion("invoice_title =", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleNotEqualTo(String value) {
            addCriterion("invoice_title <>", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleGreaterThan(String value) {
            addCriterion("invoice_title >", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_title >=", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleLessThan(String value) {
            addCriterion("invoice_title <", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleLessThanOrEqualTo(String value) {
            addCriterion("invoice_title <=", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleLike(String value) {
            addCriterion("invoice_title like", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleNotLike(String value) {
            addCriterion("invoice_title not like", value, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleIn(List<String> values) {
            addCriterion("invoice_title in", values, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleNotIn(List<String> values) {
            addCriterion("invoice_title not in", values, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleBetween(String value1, String value2) {
            addCriterion("invoice_title between", value1, value2, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andInvoiceTitleNotBetween(String value1, String value2) {
            addCriterion("invoice_title not between", value1, value2, "invoiceTitle");
            return (Criteria) this;
        }

        public Criteria andRegistNumberIsNull() {
            addCriterion("regist_number is null");
            return (Criteria) this;
        }

        public Criteria andRegistNumberIsNotNull() {
            addCriterion("regist_number is not null");
            return (Criteria) this;
        }

        public Criteria andRegistNumberEqualTo(String value) {
            addCriterion("regist_number =", value, "registNumber");
            return (Criteria) this;
        }

        public Criteria andRegistNumberNotEqualTo(String value) {
            addCriterion("regist_number <>", value, "registNumber");
            return (Criteria) this;
        }

        public Criteria andRegistNumberGreaterThan(String value) {
            addCriterion("regist_number >", value, "registNumber");
            return (Criteria) this;
        }

        public Criteria andRegistNumberGreaterThanOrEqualTo(String value) {
            addCriterion("regist_number >=", value, "registNumber");
            return (Criteria) this;
        }

        public Criteria andRegistNumberLessThan(String value) {
            addCriterion("regist_number <", value, "registNumber");
            return (Criteria) this;
        }

        public Criteria andRegistNumberLessThanOrEqualTo(String value) {
            addCriterion("regist_number <=", value, "registNumber");
            return (Criteria) this;
        }

        public Criteria andRegistNumberLike(String value) {
            addCriterion("regist_number like", value, "registNumber");
            return (Criteria) this;
        }

        public Criteria andRegistNumberNotLike(String value) {
            addCriterion("regist_number not like", value, "registNumber");
            return (Criteria) this;
        }

        public Criteria andRegistNumberIn(List<String> values) {
            addCriterion("regist_number in", values, "registNumber");
            return (Criteria) this;
        }

        public Criteria andRegistNumberNotIn(List<String> values) {
            addCriterion("regist_number not in", values, "registNumber");
            return (Criteria) this;
        }

        public Criteria andRegistNumberBetween(String value1, String value2) {
            addCriterion("regist_number between", value1, value2, "registNumber");
            return (Criteria) this;
        }

        public Criteria andRegistNumberNotBetween(String value1, String value2) {
            addCriterion("regist_number not between", value1, value2, "registNumber");
            return (Criteria) this;
        }

        public Criteria andBankNameIsNull() {
            addCriterion("bank_name is null");
            return (Criteria) this;
        }

        public Criteria andBankNameIsNotNull() {
            addCriterion("bank_name is not null");
            return (Criteria) this;
        }

        public Criteria andBankNameEqualTo(String value) {
            addCriterion("bank_name =", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotEqualTo(String value) {
            addCriterion("bank_name <>", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameGreaterThan(String value) {
            addCriterion("bank_name >", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameGreaterThanOrEqualTo(String value) {
            addCriterion("bank_name >=", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameLessThan(String value) {
            addCriterion("bank_name <", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameLessThanOrEqualTo(String value) {
            addCriterion("bank_name <=", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameLike(String value) {
            addCriterion("bank_name like", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotLike(String value) {
            addCriterion("bank_name not like", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameIn(List<String> values) {
            addCriterion("bank_name in", values, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotIn(List<String> values) {
            addCriterion("bank_name not in", values, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameBetween(String value1, String value2) {
            addCriterion("bank_name between", value1, value2, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotBetween(String value1, String value2) {
            addCriterion("bank_name not between", value1, value2, "bankName");
            return (Criteria) this;
        }

        public Criteria andAccountNameIsNull() {
            addCriterion("account_name is null");
            return (Criteria) this;
        }

        public Criteria andAccountNameIsNotNull() {
            addCriterion("account_name is not null");
            return (Criteria) this;
        }

        public Criteria andAccountNameEqualTo(String value) {
            addCriterion("account_name =", value, "accountName");
            return (Criteria) this;
        }

        public Criteria andAccountNameNotEqualTo(String value) {
            addCriterion("account_name <>", value, "accountName");
            return (Criteria) this;
        }

        public Criteria andAccountNameGreaterThan(String value) {
            addCriterion("account_name >", value, "accountName");
            return (Criteria) this;
        }

        public Criteria andAccountNameGreaterThanOrEqualTo(String value) {
            addCriterion("account_name >=", value, "accountName");
            return (Criteria) this;
        }

        public Criteria andAccountNameLessThan(String value) {
            addCriterion("account_name <", value, "accountName");
            return (Criteria) this;
        }

        public Criteria andAccountNameLessThanOrEqualTo(String value) {
            addCriterion("account_name <=", value, "accountName");
            return (Criteria) this;
        }

        public Criteria andAccountNameLike(String value) {
            addCriterion("account_name like", value, "accountName");
            return (Criteria) this;
        }

        public Criteria andAccountNameNotLike(String value) {
            addCriterion("account_name not like", value, "accountName");
            return (Criteria) this;
        }

        public Criteria andAccountNameIn(List<String> values) {
            addCriterion("account_name in", values, "accountName");
            return (Criteria) this;
        }

        public Criteria andAccountNameNotIn(List<String> values) {
            addCriterion("account_name not in", values, "accountName");
            return (Criteria) this;
        }

        public Criteria andAccountNameBetween(String value1, String value2) {
            addCriterion("account_name between", value1, value2, "accountName");
            return (Criteria) this;
        }

        public Criteria andAccountNameNotBetween(String value1, String value2) {
            addCriterion("account_name not between", value1, value2, "accountName");
            return (Criteria) this;
        }

        public Criteria andAccountNumberIsNull() {
            addCriterion("account_number is null");
            return (Criteria) this;
        }

        public Criteria andAccountNumberIsNotNull() {
            addCriterion("account_number is not null");
            return (Criteria) this;
        }

        public Criteria andAccountNumberEqualTo(String value) {
            addCriterion("account_number =", value, "accountNumber");
            return (Criteria) this;
        }

        public Criteria andAccountNumberNotEqualTo(String value) {
            addCriterion("account_number <>", value, "accountNumber");
            return (Criteria) this;
        }

        public Criteria andAccountNumberGreaterThan(String value) {
            addCriterion("account_number >", value, "accountNumber");
            return (Criteria) this;
        }

        public Criteria andAccountNumberGreaterThanOrEqualTo(String value) {
            addCriterion("account_number >=", value, "accountNumber");
            return (Criteria) this;
        }

        public Criteria andAccountNumberLessThan(String value) {
            addCriterion("account_number <", value, "accountNumber");
            return (Criteria) this;
        }

        public Criteria andAccountNumberLessThanOrEqualTo(String value) {
            addCriterion("account_number <=", value, "accountNumber");
            return (Criteria) this;
        }

        public Criteria andAccountNumberLike(String value) {
            addCriterion("account_number like", value, "accountNumber");
            return (Criteria) this;
        }

        public Criteria andAccountNumberNotLike(String value) {
            addCriterion("account_number not like", value, "accountNumber");
            return (Criteria) this;
        }

        public Criteria andAccountNumberIn(List<String> values) {
            addCriterion("account_number in", values, "accountNumber");
            return (Criteria) this;
        }

        public Criteria andAccountNumberNotIn(List<String> values) {
            addCriterion("account_number not in", values, "accountNumber");
            return (Criteria) this;
        }

        public Criteria andAccountNumberBetween(String value1, String value2) {
            addCriterion("account_number between", value1, value2, "accountNumber");
            return (Criteria) this;
        }

        public Criteria andAccountNumberNotBetween(String value1, String value2) {
            addCriterion("account_number not between", value1, value2, "accountNumber");
            return (Criteria) this;
        }
    }

    /**
     * org_info
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * org_info 2019-03-11
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}